Package twisted :: Package protocols :: Module dict :: Class DictClient

[show private | hide private]
[frames | no frames]

## Class DictClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          DictClient

Known Subclasses:
  `DictLookup`

dict (RFC2229) client

Method Summary
| `__init__(self)`
| ``connectionFailed`(self)` (Deprecated) (inherited from `Protocol`)
| ``connectionLost`(self, reason)` Called when the connection is shut down. (inherited from `Protocol`)
| ``connectionMade`(self)` Called when a connection is made.
| ``dataReceived`(self, data)` Protocol.dataReceived. (inherited from `LineReceiver`)
| ``defineDone`(self, result)` override to catch succesful DEFINE
| ``defineFailed`(self, reason)` override to catch reasonable failure responses to DEFINE
| ``dictCode_150_define`(self, line)` n definitions retrieved
| ``dictCode_151_define`(self, line)` Definition text follows
| ``dictCode_152_match`(self, line)` n matches found, text follows
| ``dictCode_220_conn`(self, line)` Greeting message
| ``dictCode_221_ready`(self, line)` We are about to get kicked off, do nothing
| ``dictCode_250_define`(self, line)` ok
| ``dictCode_250_match`(self, line)` ok
| `dictCode_420_conn(self)`
| `dictCode_421_conn(self)`
| `dictCode_530_conn(self)`
| ``dictCode_550_define`(self, line)` Invalid database
| ``dictCode_550_match`(self, line)` Invalid database
| ``dictCode_551_match`(self, line)` Invalid strategy
| ``dictCode_552_define`(self, line)` No match
| ``dictCode_552_match`(self, line)` No match
| ``dictCode_default`(self, line)` Unkown message
| ``dictCode_text_define`(self, line)` A line of definition text received
| ``dictCode_text_match`(self, line)` One line of match text received
| ``dictConnected`(self)` override to be notified when the server is ready to accept commands
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached. (inherited from `LineReceiver`)
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``matchDone`(self, result)` override to catch succesful MATCH
| ``matchFailed`(self, reason)` override to catch resonable failure responses to MATCH
| ``protocolError`(self, reason)` override to catch unexpected dict protocol conditions
| ``rawDataReceived`(self, data)` Override this for when raw data is received. (inherited from `LineReceiver`)
| ``sendDefine`(self, database, word)` Send a dict DEFINE command
| ``sendLine`(self, line)` Throw up if the line is longer than 1022 characters
| ``sendMatch`(self, database, strategy, word)` Send a dict MATCH command
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver. (inherited from `LineReceiver`)
| ``setRawMode`(self)` Sets the raw mode of this receiver. (inherited from `LineReceiver`)

Class Variable Summary
`None` | `data`
`None` | `factory`
`int` | `MAX_LENGTH`
`None` | `mode`
`None` | `result`
`None` | `state`

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### defineDone(self, result)

override to catch succesful DEFINE

### defineFailed(self, reason)

override to catch reasonable failure responses to DEFINE

### dictCode_150_define(self, line)

n definitions retrieved

### dictCode_151_define(self, line)

Definition text follows

### dictCode_152_match(self, line)

n matches found, text follows

### dictCode_220_conn(self, line)

Greeting message

### dictCode_221_ready(self, line)

We are about to get kicked off, do nothing

### dictCode_250_define(self, line)

ok

### dictCode_250_match(self, line)

ok

### dictCode_550_define(self, line)

Invalid database

### dictCode_550_match(self, line)

Invalid database

### dictCode_551_match(self, line)

Invalid strategy

### dictCode_552_define(self, line)

No match

### dictCode_552_match(self, line)

No match

### dictCode_default(self, line)

Unkown message

### dictCode_text_define(self, line)

A line of definition text received

### dictCode_text_match(self, line)

One line of match text received

### dictConnected(self)

override to be notified when the server is ready to accept commands

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### matchDone(self, result)

override to catch succesful MATCH

### matchFailed(self, reason)

override to catch resonable failure responses to MATCH

### protocolError(self, reason)

override to catch unexpected dict protocol conditions

### sendDefine(self, database, word)

Send a dict DEFINE command

### sendLine(self, line)

Throw up if the line is longer than 1022 characters

### sendMatch(self, database, strategy, word)

Send a dict MATCH command

Class Variable Details

### data

  Type:
    `None`
  Value:

        None

### factory

  Type:
    `None`
  Value:

        None

### MAX_LENGTH

  Type:
    `int`
  Value:

        1024

### mode

  Type:
    `None`
  Value:

        None

### result

  Type:
    `None`
  Value:

        None

### state

  Type:
    `None`
  Value:

        None

Generated by Epydoc 1.1 on Sat Feb 15 21:17:57 2003 | http://epydoc.sf.net